const AudioQueue=require('../../AudioQueue.js')

module.exports = function (bot, api) {
    bot.on('ready', async () => {
        console.log("Bot initialized and listening");
        const guild = await bot.guilds.fetch(process.env.GUILD);
        const channel = await bot.channels.fetch(process.env.CHANNEL);
        await api.joinChannel(channel);
        let conn=api.getConnectionForVoiceChannel(channel);
        api.queue=new AudioQueue(conn);
        api.speak(channel, `Hey buddies! How does it feel like to be a buddy? Are you proud of being a buddy? Well that's great!'`);
    })
}